Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# compare.h File Reference

`#include "row.h"`
`#include <cstring>`
`#include <functional>`

Include dependency graph for compare.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp

## Detailed Description

Declares several function objects and templates for creating function objects for comparing various things. These are useful when using STL algorithms like std::find_if() on containers of data retreived from a database with MySQL++.